﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Windows.Media.Imaging;
using System.Drawing;
using System.Windows;
using System.Data;


namespace DataSource
{
      public class ComboBoxData
      {
          public DataView GetGridData()
          {
              DataTable dt = new DataTable();
              dt.Columns.Add("Name");
              dt.Columns.Add("Data", typeof(string));
              dt.Columns.Add("City", typeof(int));

              for (int i = 1; i < 10; i++)
              {
                  dt.Rows.Add(new object[] { "Name " + i.ToString(), "2 / 7 / 63", i });
              }

              return dt.DefaultView;
          }


          private DataTable GetDataTableView()
          {
              DataTable dt = new DataTable();
              dt.Columns.Add("Name");
              dt.Columns.Add("State", typeof(double));
              dt.Columns.Add("City", typeof(int));

              for (int i = 1; i < 10; i++)
              {
                  dt.Rows.Add(new object[] { "Name " +i.ToString(), 4.67 * i,  i });
              }

              return dt;
          }
          public DataSet GetDataSet()
          {
              DataSet data = new DataSet();
              data.Tables.Add(GetDataTableView());

              return data;
          }
      }
}
